package base

type Basic struct {
	Id           uint32 `json:"id" gorm:"primaryKey"`
	Regency_Code string `json:"regency_code" gorm:"size:4"`
	Code         string `json:"code" gorm:"unique;size:6"` // NOTE: THE PROPER SIZE IS 6
	Name         string `json:"name" gorm:"size:50"`
}

func (Basic) TableName() string {
	return "District"
}
